AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
QueuePauseAction Class
QueuePauseAction Constructor
QueuePauseAction Methods
QueuePauseAction Properties

| QueuePauseAction Class

The QueuePauseAction makes a queue member temporarily unavailabe (or available again).
It is implemented in apps/app_queue.c
Available since Asterisk 1.2.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
QueuePauseAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class QueuePauseAction : ManagerAction

    Public Class QueuePauseAction
    	Inherits ManagerAction

    public ref class QueuePauseAction : public ManagerAction

    type QueuePauseAction =
        class
            inherit ManagerAction
        end

The QueuePauseAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| QueuePauseAction | Creates a new empty QueuePauseAction.
| QueuePauseAction(String) | Creates a new QueuePauseAction that makes the member on the given interface unavailable on all queues.
| QueuePauseAction(String, Boolean) | Creates a new QueuePauseAction that makes the member on the given interface available or unavailable on all queues.
| QueuePauseAction(String, String) | Creates a new QueuePauseAction that makes the member on the given interface unavailable on the given queue.
| QueuePauseAction(String, String, Boolean) | Creates a new QueuePauseAction that makes the member on the given interface unavailable on the given queue.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "QueuePause". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Interface | Get/Set the interface of the member to make available or unavailable. This property is mandatory.
| Paused | Get/Set if the member is made available or unavailable. true to make the member unavailbale, false make the member available
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Queue | Get/Set Returns the name of the queue the member is made available or unavailable on.
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace